# Visualization
TKService
WNT

# WNT_Image Class Reference

Internal class for image management
.

`#include <WNT_Image.hxx>`

Inheritance diagram for WNT_Image:

[legend]

## Public Member Functions

Standard_EXPORT | WNT_Image (const Aspect_Handle aBitmap, const Standard_Integer aHashCode)
| Creates a class. .
virtual Standard_EXPORT void | Destroy ()
| Destroys all ressources attached to the Image .
| ~WNT_Image ()
Aspect_Handle | HBITMAP () const
| Returns bitmap handle .
Standard_Address | Image () const
| Returns pointer to internal structure .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Standard_Address | myImage
Standard_Integer | myHashCode

## Constructor & Destructor Documentation

Standard_EXPORT WNT_Image::WNT_Image | ( | const Aspect_Handle | aBitmap,
|  | const Standard_Integer | aHashCode
| ) |

WNT_Image::~WNT_Image | ( |  | ) | `[inline]`

## Member Function Documentation

virtual Standard_EXPORT void WNT_Image::Destroy | ( |  | ) | `[virtual]`

| Reimplemented in WNT_Icon.

Standard_EXPORT const WNT_Image::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in WNT_Icon.

Aspect_Handle WNT_Image::HBITMAP | ( |  | ) | const`[inline]`

Standard_Address WNT_Image::Image | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Integer WNT_Image::myHashCode `[protected]`

Standard_Address WNT_Image::myImage `[protected]`

The documentation for this class was generated from the following files:

- WNT_Image.hxx
- WNT_Image.lxx